commit 2c03ef16e05c9eef6fcaf1fbd4b77356a17883b6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Aug 16 17:41:07 2026 -0700

    makedepend 1.0.10
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e6b69b245d1000b71bee61195b4307411f37fac1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 6 16:41:11 2026 -0700

    meson: include headers when checking for functions
    
    Trying to workaround https://github.com/mesonbuild/meson/issues/3740
    which causes meson to fail to detect missing functions in some cases.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/util/makedepend/-/merge_requests/16>

commit 99537e20dcd2be7587dff6ecebd623933db267a0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 25 16:39:12 2026 -0700

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/util/makedepend/-/merge_requests/15>

commit 7f7dca10bc13524b936fa888805374ee8c0df377
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/util/makedepend/-/merge_requests/15>

commit 9b71c14eb7e95ca550ecb9cad00147515dccbf1d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Apr 26 15:18:11 2025 -0700

    Improve man page formatting
    
    More closely follow common style as described on
    https://man7.org/linux/man-pages/man7/man-pages.7.html
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/util/makedepend/-/merge_requests/14>

commit 4d8b529937da8d83691ad4b6d9fea7cb82801598
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 4 15:04:20 2024 -0800

    makedepend 1.0.9
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b34434f7b94862194d14674e702e8a3226181b86
Author: Petre Rodan <2b4eda@subdimension.ro>
Date:   Wed Oct 11 19:05:22 2023 +0300

    ifparser.c: divide-by-zero fix

commit 48c4ae4742542f0c4d0c43993871f4c649f39f38
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 13:13:21 2023 -0800

    configure: raise minimum autoconf requirement to 2.70
    
    Needed for builds on NetBSD to work correctly, since it depends on
    AC_USE_SYSTEM_EXTENSIONS defining _OPENBSD_SOURCE to expose the
    prototype for reallocarray() in the system headers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bfd2bb4f70d2c155c1bd281ce0ea6b106ec0e2fb
Author: Fabian Vogt <fvogt@suse.de>
Date:   Tue Jan 31 10:22:52 2023 +0100

    Avoid depending on xproto
    
    makedepend is rather early in the distro bootstrap chain, so it shouldn't pull
    in anything it doesn't really need.
    
    xproto is only pulled in for two macros which we can just as easily provide
    ourselves.

commit 14b042d2061409540c6f645271bf562d15cc14cb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 7 15:54:43 2022 -0800

    Make more things static that aren't needed in more than one file
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c46d912071dd8fad6c1ed532cbef26db34a639e9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 7 11:17:32 2022 -0800

    Call strrchr() instead of hand coding a custom version
    
    Also correct comments on hand-coded custom strcmp() replacements
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 72a6cb64b0aded790e44d97e71434a4eddb91f15
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Dec 7 10:11:04 2022 -0800

    Cache filename after realpath() processing
    
    Avoid having to make an additional system call for every time
    we compare full path names.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ffe60c0f58ae4b385ad733fad4455efaebdd1342
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 18:45:03 2022 -0800

    Make malloc error checking/reporting more consistent
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 37371f1cdcf351e29bf542e6b2fc269b29a4fba2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 18:24:08 2022 -0800

    cppsetup: use C99 struct initialization
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce3d4de40fa89b2b209ab19acd763eec83bc70f1
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 18:17:12 2022 -0800

    Stop casting _parse_data pointers through (char *) and back
    
    Eliminates clang warnings:
    cppsetup.c:41:30: warning: cast from 'char *' to 'struct _parse_data *'
      increases required alignment from 1 to 8 [-Wcast-align]
        struct _parse_data *pd = (struct _parse_data *) ip->data;
                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    cppsetup.c:69:30: warning: cast from 'char *' to 'struct _parse_data *'
      increases required alignment from 1 to 8 [-Wcast-align]
        struct _parse_data *pd = (struct _parse_data *) ip->data;
                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 84f5fee3c769fc907c561110f4828416f921e81a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 18:12:15 2022 -0800

    Handle some implicit conversion warnings from clang
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 40bcc8c3303a858c786f1d6d04ae5bbdec6b04ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 17:42:04 2022 -0800

    Use reallocarray() on systems that provide it
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 47f2e64d865568d4f00cb97e42ad5cfc47e9c161
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 17:27:04 2022 -0800

    quoteColons: Remove redundant initialization of tmp
    
    As warned by cppcheck:
    
    pr.c:83:9: style: Redundant initialization for 'tmp'. The initialized
      value is overwritten before it is read. [redundantInitialization]
        tmp = input;
            ^
    pr.c:74:21: note: tmp is initialized
        const char *tmp = input;
                        ^
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d212d91dad2fdc3f30b79d90fca763659ac23307
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 17:24:15 2022 -0800

    find_includes: rename variables to avoid shadowing global
    
    Clears gcc warning:
    
    parse.c: In function ‘find_includes’:
    parse.c:620:29: warning: declaration of ‘inclistp’ shadows a global declaration [-Wshadow]
                 struct inclist *inclistp = inclistnext;
                                 ^~~~~~~~
    In file included from parse.c:27:0:
    def.h:171:26: note: shadowed declaration is here
     extern struct inclist   *inclistp;
                              ^~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0da7cf06cea7837f78ee53c310453a32356227b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 17:20:49 2022 -0800

    Store predefined -D values in const char fields
    
    Clears up 28 -Wdiscarded-qualifiers warnings from gcc
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2bb1bd63e2e766ce281a61cadbffad7a12d5fd18
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 17:06:49 2022 -0800

    Variable scope reduction as suggested by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 78139e4cfe37c56bb8e06a2574c7d476d9607af9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 16:46:15 2022 -0800

    Remove register keyword from variable declarations
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c49a8335a953206ce8603c5522153c59e1f7a0d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 6 16:42:35 2022 -0800

    Reformat code into X.Org standard coding style
    
    Make indentation and formatting much more consistent across this project
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f7ad4c3164cf673bc30a2a038beb7cdb45ee3e94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 12 11:07:08 2022 -0800

    makedepend 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 654f6355d501153fe1fbdbc073cb72fd6355e194
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 5 15:48:17 2022 -0800

    Bug #2: fix regression introduced by fix for bug #1
    
    Refactor code to find the full file path before comparing against
    existing items in the list so that we stop adding duplicate entries
    for all the files in the system include path and with larger amounts
    of code hitting the MAXFILES limit.
    
    Fixes: 3dc64b0 ("Add test case for bug #1 + proposed fix.")
    Closes: #2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a17093a3f99f21bb999f3e0f9a45340eeed98da8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Dec 5 10:44:51 2022 -0800

    man page: add line breaks in Synopsis section
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d62a9e49c6b83f05c5692bbe4b80c485d08ecfd3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 28 19:28:57 2022 -0700

    makedepend 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 542a6dd61ce334924494af2fcf8a4613ef86aace
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 18 09:50:04 2022 -0700

    Use AC_CONFIG_FILES to replace the deprecated AC_OUTPUT with parameters
    
    configure.ac:32: warning: AC_OUTPUT should be used without arguments.
    configure.ac:32: You should run autoupdate.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3dc64b0b0a7d4e14ccea6b9d1d11bf871c47a7e0
Author: Thibault DUPONCHELLE <thibault.duponchelle@gmail.com>
Date:   Wed Mar 20 09:26:47 2019 +0100

    Add test case for bug #1 + proposed fix.
    
    Fixes: https://gitlab.freedesktop.org/xorg/util/makedepend/issues/1

commit 54559e73e27e532535dea2a60e615f99c694343f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 10 09:32:55 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c2ffd57727e5f02b94f1c46392a740e404d4c270
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 10 09:18:41 2022 -0700

    Close fd for reading old Makefile when done, instead of leaking it
    
    Found by Oracle Parfait:
    
    Error: File Leak
       File Leak [file-ptr-leak]:
          Leaked File fdin
            at line 799 of main.c in function 'redirect'.
              fdin initialized at line 769 with fopen
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 093d33fb6bc108030539b38c4bfa202b148d3c7a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 15 15:44:38 2022 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9b11c9bdf94e620a58e4402f7c2a98e7fc01e859
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 15 15:43:28 2022 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e4971e9507f989d68c97a92edd1e6e1881ad1d55
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 16 16:39:07 2019 -0700

    makedepend 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7897a5b8edd142d4de63933db3e544262006289e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 20:35:14 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 277eaf65d43f9fe9d3d223810e1872c32436c01e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 23:40:18 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d15117c98a071b8fd30fb163fc45cb37db760654
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 10:54:59 2018 -0700

    Simplify writing of output lines to Makefile
    
    Instead of writing everything to a temporary buffer, and then using
    fwrite() to have it fputc() one character at a time into the stdio
    buffer, just use fprintf() directly to save a copy and write in
    larger blocks.
    
    Testing on Solaris on makedepend's own source files showed a
    reduction in memcpy's from 4037 to 3108, and in _dowrite calls
    in stdio from 1173 to 168, but no change in actual write calls
    from stdio's buffer to the file.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4f410f3ed29fdb0f98be1e01930ba1a909a36ef0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 10:05:44 2018 -0700

    Remove unused variable whitespace
    
    Use of it was removed in commit 275c17136006f9d, but we kept setting
    it anyway.
    
    Resolves gcc 7.3 warning:
    main.c: In function ‘getnextline’:
    main.c:587:10: warning: variable ‘whitespace’ set but not used [-Wunused-but-set-variable]
      boolean whitespace = FALSE;
              ^~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 223b315a9148ec0091837f2e369bbb3ec5d49e11
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 5 10:00:38 2018 -0700

    Fix bad indentation in ifparser.c
    
    ifparser.c: In function ‘parse_product’:
    ifparser.c:300:5: warning: this ‘else’ clause does not guard... [-Wmisleading-indentation]
         else
         ^~~~
    ifparser.c:302:2: note: ...this statement, but the latter is misleadingly indented as if it were guarded by the ‘else’
      break;
      ^~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 13385d8add69156805f824cedcdad2986a23662d
Author: Antonio Larrosa <alarrosa@suse.com>
Date:   Tue Feb 2 18:31:27 2016 +0100

    Quote colons in filenames/paths
    
    Makefile doesn't like colons in filenames/paths so they must
    be quoted in the output. Otherwise makedepend doesn't work with
    full paths that contain a colon.
    
    V2: Use quoted filename when measuring name length
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5fb14ee51f849ec86c109bae101ae3f7b7ed7e39
Author: David Boyce <boyski@users.sourceforge.net>
Date:   Fri Dec 27 18:50:38 2013 -0800

    Bumped -I flag limit in makedepend from 64 to 512.
    
    Clearly a limit of 64 -I flags is too low (we hit it); it might be
    a good style recommendation but shouldn't be a hard limit.
    512 is a fairly random replacement value.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0860822bb2a1bbc6e40758e2e6413181b26b6b04
Author: Dirk <doj@cubic.org>
Date:   Thu Feb 11 18:48:13 2016 +0000

    missing bounds check in makedepend for file arguments
    
    When assigning source code files from the command line to the fp pointer,
    no bounds check is done and if more than MAXFILES file names are specified
    on the command line, memory will be overridden out of bounds.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94099
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 72cc0b7713b28ffd03271526c81d1ad9d2183a82
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit f11006e04bb87b060cc6a5b64f4dd0eeb8b3447f
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c5cc6e0ff2d60133a4b7560df67607ceeb9d55a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit a4f82f917a9b0802b70cd80c21d2e53688e2b9b3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 12 10:11:03 2016 -0800

    Use do { ... } while(0) idiom to make debug() macro safer
    
    Cleans up several -Wempty-body warnings from gcc 5.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 9da873c5a036c95aa24a7dc3562d405609262381
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 2 21:49:39 2013 -0700

    Constify a pair of local string pointers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 30859adfd6a6523a92a637ca26bd61ce59680a1b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jul 22 22:14:36 2013 -0700

    makedepend 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b6d3797eae3bac824cf72c0c8f64f51e3d4eaef
Author: Julien Cristau <jcristau@debian.org>
Date:   Mon Jul 1 18:57:12 2013 +0200

    Don't crash if an option's argument is missing
    
    Avoid dereferencing argv[argc].
    
    See http://www.forallsecure.com/bug-reports/011f1a55f79a5501b36008d6ee0d40e8b6644569/
    
    Reported-by: Alexandre Rebert <alexandre@cmu.edu>
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 107c2fcf5c7576ee66ee23926f0431b6db27a07a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 23 09:57:51 2013 -0800

    Assume signal handlers return void, as C89 requires
    
    Drops use of autoconf's obsolete AC_TYPE_SIGNAL
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b2c6d0d0f64d419590c7cd77aae4890866665cba
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 12 18:36:30 2013 -0800

    Bug 56091 - Unsafe use of strcpy() in makedepend
    
    Use memmove for potentially overlapping copies.
    
    Reported-by: Laurence Jupp <laurence@narya.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 897e25de0cf27bd345130912a6da34b0c802a0ca
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 12 18:33:44 2013 -0800

    Store len in a size_t instead of an int in redirect()
    
    Fixes clang warnings about converting back & forth:
    
    main.c:761:8: warning: implicit conversion loses integer precision: 'size_t'
          (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
            len = strlen(line);
                ~ ^~~~~~~~~~~~
    main.c:763:41: warning: implicit conversion changes signedness: 'int' to
          'size_t' (aka 'unsigned long') [-Wsign-conversion]
                    if (*buf == '#' && strncmp(line, buf, len) == 0)
                                       ~~~~~~~            ^~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 87fd28cd5a5acfe6e91c97c4af0a469e1e86cbd5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 20 22:45:53 2013 -0800

    Mark fatalerr & catch as _X_NORETURN
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 637c59e78f699a824e78316cb8ca3113bb5c738b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 12 14:40:40 2013 -0800

    Replace deprecated Automake INCLUDES variable with AM_CPPFLAGS
    
    Excerpt https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
    
      - Support for the long-deprecated INCLUDES variable will be removed
        altogether in Automake 1.14.  The AM_CPPFLAGS variable should be
        used instead.
    
    This variable was deprecated in Automake releases prior to 1.10, which is
    the current minimum level required to build X.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 059e9be5a7321974b190d786d426b2ae27be8c56
Author: Glenn Burkhardt <gbburkhardt@gmail.com>
Date:   Fri Jan 11 22:09:54 2013 -0800

    Bug 52099 - makedepend rename fails on CIFS mounted shares
    
    Patch v1: https://bugs.freedesktop.org/attachment.cgi?id=64218
    
    v2: modified by Alan Coopersmith to restore Makefile to original name
    if contents cannot be read, instead of leaving it moved to .bak name.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bb29c304c09aba567af0f0d77a63f0202c3836c6
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jan 4 17:37:06 2012 -0500

    autogen.sh: Implement GNOME Build API
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 9685da3e7136e01a7bc780d81667abf5897b87a6
Author: Adam Jackson <ajax@redhat.com>
Date:   Wed Jan 16 12:59:58 2013 -0500

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 8e4373712409e2411652cf0697c33d91e95fd405
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 11 22:29:19 2013 -0800

    Fix a comment typo
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a28a2a0146c4979281ffea641dede9a32df08f9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:55:04 2013 -0800

    Convert more sprintf calls to snprintf
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 639071ff3446b0df53078be1ff5820c812313aa7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:42:33 2013 -0800

    Remove unnecessary casts from malloc/realloc calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b5e7ee6483415d7093f3d5395c4832fa69f0a28
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:25:43 2013 -0800

    Remove fallbacks for Imake configuration, assume autoconf
    
    For the original 6.9/7.0 release, we supported using either autoconf or
    imake to generate configuration.  For releases after that, we're only
    supporting autoconf, so no longer need to check & fall back to imake.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4db1a4f15ef704b6b6faf1741054d59cb527298a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:15:28 2013 -0800

    Move i_listlen in struct inclist for better packing in 64-bit builds
    
    Putting it with another int instead of between two pointers gets rid
    of two places where 4 bytes each had to be padded into the structure
    for alignment.
    
    Reduces the size of an individual struct from 64 bytes to 56 bytes,
    and of the inclist[ MAXFILES ] array from 128k to 112k.
    
    Found by clang:
    ./def.h:111:18: warning: padding struct 'struct inclist' with 4 bytes to align 'i_defs' [-Wpadded]
            struct symtab   **i_defs;       /* symbol table for this file and its
                              ^
    ./def.h:114:12: warning: padding struct 'struct inclist' with 4 bytes to align 'i_merged' [-Wpadded]
            boolean         *i_merged;      /* whether we have merged child
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c5378d3e7bb79880b9ea6f7f055393ae42eae55f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:05:17 2013 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC is provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables

commit 3db923e80852b088b1d0583bad7fca05e173efdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 5 09:01:03 2013 -0800

    Update configure.ac initialization to X.Org standard form
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6d70e2776b41977a87bbe32220f4d3f8a62dc763
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jan 4 20:07:43 2013 -0800

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01238aa25c3bb1e0c909f63dd3bc97c48bd8bf6d
Author: Marko Lindqvist <cazfi74@gmail.com>
Date:   Fri Jan 4 20:02:33 2013 -0800

    Bug 59005 - makedepend: Build with automake-1.13 broken
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 49d72ba286c1ddd99cf1e6477ee2b6af59007341
Author: Julien Cristau <jcristau@debian.org>
Date:   Wed Mar 14 19:49:14 2012 +0100

    configure.ac: use AM_MAINTAINER_MODE

commit b6605e3945eaaabbd090672f33e888d394f9a4f0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Mar 7 21:52:14 2012 -0800

    makedepend 1.0.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cb8bbc06de0baf2dff4a703e6d2bb47bdf90d896
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:07:24 2011 -0700

    define(): Avoid assigning constant string to non-const char *
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b9770941ae829ad2cb985efe809d6e3dd690648b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:02:34 2011 -0700

    Call strdup directly, instead of via copy macro
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ecf5f3251033ab6efa1a0d881f75ed9ce60b5a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 18:00:39 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 97ae52f80f9e382917889bde1913367572e89012
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 17:47:36 2011 -0700

    Move extern variable declarations to common header (def.h)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3602fb0b7ba2bde9c73610693dbb50534fe42b81
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 7 17:34:17 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c1f32dc1d4c1758065468e1f5d34707099f59f33
Author: Stuart Kreitman <Stuart.Kreitman@Oracle.COM>
Date:   Mon May 24 14:21:21 2010 -0700

    Raise MAXFILES from 1024 to 2048
    
    Required in order to build OpenTTD on Solaris
    http://bugs.opensolaris.org/bugdatabase/view_bug.do?bug_id=6917536
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit cc23acdd80fa0cad53e46f99cd0ff5998ec7f607
Author: Cyril Brulebois <kibi@debian.org>
Date:   Sun Oct 31 15:50:36 2010 +0100

    Fix bashism: shell string comparison is =, not ==.
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 186aae76a84860d0efef638ff499ab1968fffd75
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:53:25 2010 -0700

    Add README with pointers to mailing list, bugzilla & git repos
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e67389ecc0c425bcfec0a3184ee48919e0e2c61a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:45:35 2010 -0700

    makedepend 1.0.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bf25a6cb4888e5cf6827cd51cb7ee282cfb6cf47
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 29 22:39:51 2010 -0700

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7963cc382a3a351410b1342a9783df3af8516944
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:18 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 58bd34e6c3662ef06e9ef0dd78d69f003df42bdc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri May 14 21:14:44 2010 -0700

    Convert testcase from bug 28045 into automake "make check" test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8522c314da7537169996476fe5ba411f720a09fe
Author: Martin Pärtel <lagitus@mbnet.fi>
Date:   Fri May 14 21:00:15 2010 -0700

    Bug 28045 - makedepend fails on directory named like an include file
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=28045>
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit c976a7fc7c21772c00de9e61178cf467c6a10b57
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 22:08:09 2009 -0700

    makedepend 1.0.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c2abfbb9ea21bec53706295064c328e5d2721abd
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 22:07:44 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f3bbd454d8220a0c30c1a788965a7f16501350ab
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Sat Oct 10 21:03:53 2009 -0700

    Remove CVS/RCS version tags
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 42ee120e8c49c5f9aaba35689e09f9ecef407758
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 18:47:23 2009 -0700

    Fix gcc, sparse & lint warnings
    
    cppsetup.c:74:9: warning: Using plain integer as NULL pointer
    
    parse.c: In function `gobble':
    parse.c:94: warning: int format, long int arg (arg 2)
    parse.c: In function `find_includes':
    parse.c:641: warning: int format, long int arg (arg 2)
    parse.c:664: warning: int format, long int arg (arg 2)
    parse.c:677: warning: int format, long int arg (arg 2)
    parse.c:684: warning: int format, long int arg (arg 2)
    
    pr.c: In function `add_include':
    pr.c:57: warning: int format, long int arg (arg 4)
    pr.c:59: warning: int format, long int arg (arg 3)
    
    declared global, could be static
        sig_act             main.c(142)
        predefs             main.c:imakemdep.h(51)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit c7c7197d265a299c82c6629fba867730aad81375
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 18:22:37 2009 -0700

    Increased constification
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a6a8afb0a82a175822077442f44865c75ab70ff1
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 17:34:42 2009 -0700

    Remove #ifdef'ed code that's never used
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3e8c1a2a8e7db49b06f602c2fc5a8108d74dd384
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 17:27:47 2009 -0700

    Remove ifdef checks for macII left over from ancient A/UX 3.0 support
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit e3bc51e4ea2dce1901c4f7ce43df2f456ececdcf
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 17:25:56 2009 -0700

    Use XORG_CHANGELOG, XORG_CWARNFLAGS, and XORG_WITH_LINT macros
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit cc3112b6d0434d8e7ecbe3832a5aa48cd0f5185d
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:34:45 2009 -0700

    Add additional predefines needed to match Solaris compilers
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit f871e026bedc296c235dae02e533617fe9a4d3f2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:16:47 2009 -0700

    Delete portions of imakemdep.h not used by makedepend
    
    This header was shared by imake & makedepend in the monolith, but each
    got its own copy in the modular builds.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 26cb2802170d349fa1b2ab2237e6f2c0d1df1709
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:02:55 2009 -0700

    Add .gitignore
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 4d821427ac3e7e3de86f46e3b1e638c65758b774
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Mar 24 16:00:19 2009 -0700

    Use AM_CPPFLAGS instead of makedepend_CPPFLAGS to avoid mangled .o names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 617fc1304afdca2fb82e3a65d9a4999058d86021
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 16:39:17 2007 -0500

    Replace static ChangeLog with dist-hook to generate from git log

commit 5239f25be018b2e9cf3620d5c1c62bac4e1e116d
Author: Jeremy C. Reed <reed@glacier.reedmedia.net>
Date:   Wed Mar 21 15:27:57 2007 -0500

    Update version for release.

commit e2bea6a0278f182f9cc8b7bac660da49d24d2e50
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
